cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters?show_inactive=SOME_BOOLEAN_VALUE&pagination.start_key=SOME_STRING_VALUE&pagination.direction=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.time=SOME_STRING_VALUE&pagination.order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"clusters": [
{
"id": "35c4abb2-bb66-46d7-afed-25ebef5ed2aa",
"name": "example-cluster",
"cockroach_version": "v21.2.4",
"plan": "SERVERLESS",
"cloud_provider": "GCP",
"account_id": "",
"state": "CREATED",
"creator_id": "7cde0cd9-0d8a-4008-8f90-45092ce8afc1",
"operation_status": "CLUSTER_STATUS_UNSPECIFIED",
"config": {
"serverless": {
"spend_limit": 0,
"routing_id": "example-cluster-1533"
}
},
"regions": [
{
"name": "us-central1",
"sql_dns": "free-tier7.gcp-us-central1.crdb.io",
"ui_dns": "",
"node_count": 0
}
],
"created_at": "2022-03-22T20:23:11.285067Z",
"updated_at": "2022-03-22T20:23:11.879593Z",
"deleted_at": null
}
],
"pagination": {
"next": "<string>",
"last": "<string>",
"limit": 123,
"time": "2023-11-07T05:31:56Z",
"order": "ASC"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List clusters owned by an organization.
Sort order: Cluster name
GET
/
api
/
v1
/
clusters
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters?show_inactive=SOME_BOOLEAN_VALUE&pagination.start_key=SOME_STRING_VALUE&pagination.direction=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.time=SOME_STRING_VALUE&pagination.order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"clusters": [
{
"id": "35c4abb2-bb66-46d7-afed-25ebef5ed2aa",
"name": "example-cluster",
"cockroach_version": "v21.2.4",
"plan": "SERVERLESS",
"cloud_provider": "GCP",
"account_id": "",
"state": "CREATED",
"creator_id": "7cde0cd9-0d8a-4008-8f90-45092ce8afc1",
"operation_status": "CLUSTER_STATUS_UNSPECIFIED",
"config": {
"serverless": {
"spend_limit": 0,
"routing_id": "example-cluster-1533"
}
},
"regions": [
{
"name": "us-central1",
"sql_dns": "free-tier7.gcp-us-central1.crdb.io",
"ui_dns": "",
"node_count": 0
}
],
"created_at": "2022-03-22T20:23:11.285067Z",
"updated_at": "2022-03-22T20:23:11.879593Z",
"deleted_at": null
}
],
"pagination": {
"next": "<string>",
"last": "<string>",
"limit": 123,
"time": "2023-11-07T05:31:56Z",
"order": "ASC"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
If true, show clusters that have been deleted or failed to initialize.
Available options:
PAGE_DIRECTION_NEXT, PAGE_DIRECTION_LAST - DESC: Sort in descending order. The default order is ascending.
Available options:
ASC, DESC 
